unit labelform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QuickRpt, QRCtrls, Db, DBTables, ExtCtrls, StdCtrls;

type
  TLabelrep = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    Table1: TTable;
    QRMemo1: TQRMemo;
    QRMemo2: TQRMemo;
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
    procedure QuickRep1AfterPrint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Labelrep: TLabelrep;
  labelno : integer;

implementation
uses qrprntr;
{$R *.DFM}

procedure TLabelrep.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
      table1.Open;
      labelno := 1;
end;

procedure TLabelrep.QuickRep1NeedData(Sender: TObject;
  var MoreData: Boolean);
begin
    moredata := not table1.Eof;
    if not moreData then exit;
    qrmemo1.Lines.Clear;
    qrmemo1.Lines.Add(inttostr(labelno));
    qrmemo1.Lines.Add(table1.fieldbyname('Contact').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('Company').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('addr1').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('addr2').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('City').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('Zip').asstring);
    qrmemo1.Lines.Add(table1.fieldbyname('Country').asstring);
    table1.Next;
    inc(labelno);
    moredata := not table1.Eof;
    if not moreData then exit;
    qrmemo2.Lines.Clear;
    qrmemo2.Lines.Add(inttostr(labelno));
    qrmemo2.Lines.Add(table1.fieldbyname('Contact').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('Company').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('addr1').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('addr2').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('City').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('Zip').asstring);
    qrmemo2.Lines.Add(table1.fieldbyname('Country').asstring);
    table1.Next;
    inc(labelno);
    moredata := not table1.Eof;
end;

procedure TLabelrep.QuickRep1AfterPrint(Sender: TObject);
begin
     table1.Close;
end;

end.
